`define INSN_LDBCDE_A		9'b0000xx010

`ifdef EXECUTE
	`INSN_LDBCDE_A: begin
		case (cycle)
		0:	if (opcode[3]) begin
				if (opcode[4]) begin `EXEC_READ(`_DE) end
				else begin `EXEC_READ(`_BC) end
			end else begin
				if (opcode[4]) begin `EXEC_WRITE(`_DE, `_A) end
				else begin `EXEC_WRITE(`_BC, `_A) end
			end
		1:	begin
				`EXEC_INC_PC
				`EXEC_NEWCYCLE
			end
		endcase
	end
`endif

`ifdef WRITEBACK
	`INSN_LDBCDE_A: begin
		case (cycle)
		0:	begin end
		1:	if (opcode[3]) `_A <= rdata;
		endcase
	end
`endif
